Setup Maslow - software install issues

I´m having problems with installing kivy in MacOS 10.10. Can anyone help?!
I´ve just repaired the disk permisions in the Mac disk utility to see if it would help, but no go.
The end of the log from the install Kivy command is:

creating /System/Library/Frameworks/Python.framework/Versions/2.7/share
error: could not create ‘/System/Library/Frameworks/Python.framework/Versions/2.7/share’: Permission denied

----------------------------------------

Command “/usr/bin/python -u -c “import setuptools, tokenize;file=’/private/var/folders/bz/5b94k7mx79z_6z05ljz2c4q80000gn/T/pip-build-p1IKjC/kivy/setup.py’;f=getattr(tokenize, ‘open’, open)(file);code=f.read().replace(’\r\n’, ‘\n’);f.close();exec(compile(code, file, ‘exec’))” install --record /var/folders/bz/5b94k7mx79z_6z05ljz2c4q80000gn/T/pip-r_8uB8-record/install-record.txt --single-version-externally-managed --compile” failed with error code 1 in /private/var/folders/bz/5b94k7mx79z_6z05ljz2c4q80000gn/T/pip-build-p1IKjC/kivy/

The instructions were updated along with today’s release. Are those instructions giving the trouble?

If you don’t need to run the development version between releases, you can just download the latest release, open the disk image, drag the app to the Applications folder, and then run the ‘MakeSymlinks’ script that comes with it. That brings the groundcontrol app along with the needed Kivy and python files.

Hi.

  1. Yes, I´m following today´s instructions

  2. I have downloaded the packaged version groundcontrol0.86.dmg and dragged it to the Applications folder. I have also successfully opened the groundcontrol app from the Applications folder,.

  3. !!! When I run ‘MakeSymlinks’ script I get an error message saying “kivy.app does not exist in /Applications”

  4. Finally, I now understand that I don´t have to do the “Install and run Ground Control from the source” steps, unless I want the development verions. Correct?

1 Like

That is right, you do not need to follow the from the source directions unless you want to run the development version.

You aren’t the first person to be confused by that so we should update the wiki to be more clear. Maybe bold text at the top of the ‘from the source’ section?

If running it from the installer is working for you, you shouldn’t need to do anything else :grinning:

You’re right, the ‘MakeSymlinks’ step isn’t needed. Sorry :neutral_face: to have added to the problem.

Ok. Thanks all! Cheers.

1 Like